de.esprit.appsuite.project

## Interface ResourceDef

- All Known Implementing Classes:
    AppStoreTemplateDef, ServerWebDataResourceDef, XmlResourceDef

      public interface ResourceDef

  This interface allows for defining resources as enum constants
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUDIO_BASE`
    `static java.lang.String` | `FILE_BASE`
    `static java.lang.String` | `HELP_BASE`
    `static java.lang.String` | `IMAGE_BASE`
    `static java.lang.String` | `LAUNCH_BASE`
    `static java.lang.String` | `LICENSE_BASE`
    `static java.lang.String` | `RESOURCE_BASE`
    `static java.lang.String` | `SQL_BASE`
    `static java.lang.String` | `TRANSLATION_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceDefAdapter` | `get()`

- - ### Field Detail

    - #### RESOURCE_BASE

          static final java.lang.String RESOURCE_BASE

      See Also:
        Constant Field Values

    - #### IMAGE_BASE

          static final java.lang.String IMAGE_BASE

      See Also:
        Constant Field Values

    - #### AUDIO_BASE

          static final java.lang.String AUDIO_BASE

      See Also:
        Constant Field Values

    - #### TRANSLATION_BASE

          static final java.lang.String TRANSLATION_BASE

      See Also:
        Constant Field Values

    - #### LAUNCH_BASE

          static final java.lang.String LAUNCH_BASE

      See Also:
        Constant Field Values

    - #### SQL_BASE

          static final java.lang.String SQL_BASE

      See Also:
        Constant Field Values

    - #### LICENSE_BASE

          static final java.lang.String LICENSE_BASE

      See Also:
        Constant Field Values

    - #### HELP_BASE

          static final java.lang.String HELP_BASE

      See Also:
        Constant Field Values

    - #### FILE_BASE

          static final java.lang.String FILE_BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          ResourceDefAdapter get()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.